# KDE kasutaja käsiraamat

Ben
Burton
bab@debian.org
25. mai 2005
KDE töökeskkond
indiserver
1

# `indiserver`

INDI server teleskoopide juhtimiseks KStarsis

    indiserver -l kataloog -m suurus -p port -v draiver

## Kirjeldus

&kstars; võimaldab seadistada ja juhtida astronoomiainstrumente, näiteks teleskoope ja fokuseerijaid, INDI protokolli kasutades. `indiserver` on server, mis asub &kstars;i kasutajaliidese ja süvataseme riistvaradraiverite vahel.

INDI server on võrguserver, mis tähendab, et astronoomiainstrumentide juhtimiseks võivad sellega ühenduse luua nii kohalikud kui ka võrgukliendid. See tunnustab järgmisi argumente:

- -l d draiveri teadete logimiseks faili `/YYYY-MM-DD.islog`.

- -m m : kliendi tapmine, kui see jääb enam kui määratud MB maha, vaikimisi 10

- -p p : alternatiivne IP port, vaikimisi 7624

- -v : võtmesündmuste, mitte liikluse näitamine

- -vv : -v + võtmesündmuste sisu

- -vvv : -vv + täielik xml

- driver : käivitatav fail või seade@masin[:port]

INDI server peab töötama masinas, mille külge astronoomiainstrumendid on füüsiliselt ühendatud.

Tavaliselt ei ole vajadust käivitada INDI server otseselt. &kstars;i seadmehalduris saab seadistada astronoomiainstrumente ning käivitada või peatada INDI serveri &kstars;i vahenditega.

Põhjalikumat infot pakub allpool kirjeldatud &kstars;i käsiraamat.

&kstars; on &kde; graafiline töölauaplanetaarium ja kuulub &kde; õppeprogrammide mooduli koosseisu.

## Võtmed

`-p port`

  Alternatiivne IP-port. Vaikimisi 7624.

`-r katseid`

  Maksimaalne taaskäivitamise katsete arv probleemide korral. Vaikimisi 2.

`-vv`

  Üksikasjalik väljund kirjutatakse standardveaväljundisse (stderr).

`draiver`

  Käivitatavate INDI draiverite nimed.

  Praegu saab kasutada järgmisi draivereid:

  - `celestrongps` (Celestron GPS)

  - `fliccd` (Finger Lakes Instruments CCD)

  - `lx200_16` (LX200 16")

  - `lx200autostar` (LX200 Autostar)

  - `lx200classic` (LX200 Classic)

  - `lx200generic` (LX200 üldine)

  - `lx200gps` (LX200 GPS)

  - `temma` (Temma Takahashi)

  - `v4ldriver` (Video4Linuxi üldine)

  - `v4lphilips` (Philipsi veebikaamera)

## Vaata ka

celestrongps(1), fliccd(1), lx200_16(1), lx200autostar(1), lx200classic(1), lx200generic(1), lx200gps(1), kstars(1), temma(1), v4ldriver(1), v4lphilips(1)

Põhjalikumat kasutaja dokumentatsiooni pakub &kstars;i käsiraamat, mille avab help:/kstars (kirjuta see &URL; &konqueror;i või käivita käsuga ``khelpcenter` `help:/kstars``).

## Näited

INDI serveri käivitamiseks LX200 GPS draiveriga pordi 8000 ühenduste jälgimiseks anna käsk:

    indiserver -p 8000 lx200gps

## Autorid

Käesoleva manuaalilehekülje eeskuju kirjutas Debiani jaoks Ben Burton bab@debian.org.